Skip to navigation

List Tag Associations of Multiple Schemas

View as Markdown
Lists all Tag Associations for the schemas specified by the request body.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

RegionenumOptionalDefaults to US

The Autodesk Schema Registry currently supports in the US and EMEA regions. This header specifies where your data is stored. Possible Values:

  • US - (Default) All requests without a specified region header will be directed to the US region.
  • EMEA - Data center for the European Union, Middle East, and Africa. To access the EMEA region specifically, include the header “region: EMEA” in your API requests.
Allowed values:

Request

This endpoint expects a list of objects.
typestringRequired>=1 character

Always tags.

resourceIdstringRequired>=1 character
The ID of the schema that is associated with the Tag.
tagAssociationlist of objectsRequired
An array containing a list of Tag Associations of the schema.

Response

The Tag Associations were retrieved successfully.
typestring>=1 character

Always tags.

resourceIdstring>=1 character
The ID of the schema that is associated with the Tag.
tagAssociationlist of objects
An array containing a list of Tag Associations of the schema.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error